When will Ranorex support .Net 4.0?

Ask general questions here.
AlexDozer
Posts: 33
Joined: Wed Sep 09, 2009 5:41 pm

When will Ranorex support .Net 4.0?

Post by AlexDozer » Wed May 04, 2011 2:47 pm

Hello,

when will Ranorex support .Net 4.0? Currently, the highest version supported is 3.5, but I need 4.0.

Regards, Alex

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: When will Ranorex support .Net 4.0?

Post by Support Team » Wed May 04, 2011 3:58 pm

Hi,
AlexDozer wrote:when will Ranorex support .Net 4.0? Currently, the highest version supported is 3.5, but I need 4.0.
Do you want to automate .Net 4.0 application or you want to change the target framework of your project to .Net 4.0?
The first is working since Ranorex 3.0 and the second isn't working yet, sorry.

Regards,
Peter
Ranorex Team
.
Image

AlexDozer
Posts: 33
Joined: Wed Sep 09, 2009 5:41 pm

Re: When will Ranorex support .Net 4.0?

Post by AlexDozer » Wed May 04, 2011 4:14 pm

I want to change the target framework of my Ranorex Project to 4.0.

Regards Alex

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: When will Ranorex support .Net 4.0?

Post by Support Team » Wed May 04, 2011 4:26 pm

AlexDozer wrote:I want to change the target framework of my Ranorex Project to 4.0.
Currently, you have to use Visual Studio then to open Ranorex solutions and compile them there.

Out of curiosity, what do you need to target the .NET 4.0 framework for in your test solutions?

Regards,
Alex
Ranorex Team
.
Image

AlexDozer
Posts: 33
Joined: Wed Sep 09, 2009 5:41 pm

Re: When will Ranorex support .Net 4.0?

Post by AlexDozer » Wed May 04, 2011 4:28 pm

I will use a DLL which is build with .Net 4.0 but running 4.0-Code with 3.5-Code is not possible because of the new CLR in .Net 4.0. I found til now no solution for this problem.

Do you have any idea how to fix this?


Regards, Alex

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: When will Ranorex support .Net 4.0?

Post by Support Team » Fri May 06, 2011 9:52 am

Hi,
AlexDozer wrote:Do you have any idea how to fix this?
As Alex posted already
AlexDozer wrote:Currently, you have to use Visual Studio then to open Ranorex solutions and compile them there.
Regards,
Peter
Ranorex Team
.
Image

AlexDozer
Posts: 33
Joined: Wed Sep 09, 2009 5:41 pm

Re: When will Ranorex support .Net 4.0?

Post by AlexDozer » Tue Jul 19, 2011 3:03 pm

Hello,

do you have any new information about this topic? .Net 4.0 is becoming more and more important for us and compiling the project in VS is not a workaround for us.

Regards, Alex

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: When will Ranorex support .Net 4.0?

Post by Support Team » Wed Jul 20, 2011 12:15 pm

Hi,
AlexDozer wrote:do you have any new information about this topic? .Net 4.0 is becoming more and more important for us and compiling the project in VS is not a workaround for us.
.Net 4.0 support should be available with 3.1. This version of Ranorex will be available in the next few weeks.

Regards,
Peter
Ranorex Team
.
Image

AlexDozer
Posts: 33
Joined: Wed Sep 09, 2009 5:41 pm

Re: When will Ranorex support .Net 4.0?

Post by AlexDozer » Tue Jul 26, 2011 10:43 am

Support Team wrote:Hi,
.Net 4.0 support should be available with 3.1. This version of Ranorex will be available in the next few weeks.
This sounds good. Thank you!


Regards, Alex